## org.eclipse.jet.xpath
Class XPathFunctionMetaData

    java.lang.Object
      org.eclipse.jet.xpath.XPathFunctionMetaData

    public final class XPathFunctionMetaData

extends java.lang.Object

Invariant class that defines implementation details of XPath functions.

Constructor Summary
`XPathFunctionMetaData(java.lang.String name, java.lang.String namespace, XPathFunction function, int minArgs, int maxArgs)` Create function metadata.

Method Summary
`XPathFunction` `getFunction()` Return the function implementation
`int` `getMaxArgs()` Return the maximum number of arguments or -1 if the function allows unlimited arguments.
`int` `getMinArgs()` Return the mininum number of arguments.
`java.lang.String` `getName()` Return the function name, as used in XPath expressions.
`java.lang.String` `getNamespace()` Return the namespace of the function.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPathFunctionMetaData

    public XPathFunctionMetaData(java.lang.String name,
                                 java.lang.String namespace,
                                 XPathFunction function,
                                 int minArgs,
                                 int maxArgs)

  Create function metadata.

  Parameters:
    `name` - the name of the function, as it occurs in XPath expressions.
    `namespace` - the namespace of the functions.
    `function` - the function implementation
    `minArgs` - the minimum number of arguments. Must be non-negative.
    `maxArgs` - the maximum number of arguments. Must be non-negative or -1 indicating an unlimited number of arguments.
  Throws:
    `java.lang.NullPointerException` - if name or function name are `null`.
    `java.lang.IllegalArgumentException` - if minArgs or maxArgs do not conform to their expected values.

Method Detail

### getNamespace

    public final java.lang.String getNamespace()

  Return the namespace of the function.

  Returns:
    Returns the namespace.

### getFunction

    public XPathFunction getFunction()

  Return the function implementation

  Returns:
    Returns the function.

### getMinArgs

    public int getMinArgs()

  Return the mininum number of arguments.

  Returns:
    Returns the minArgs.

### getMaxArgs

    public int getMaxArgs()

  Return the maximum number of arguments or -1 if the function allows unlimited arguments.

  Returns:
    Returns the maxArgs.

### getName

    public java.lang.String getName()

  Return the function name, as used in XPath expressions.

  Returns:
    Returns the name.

Copyright 2006 IBM Corporation and others. All Rights Reserved.